Package org.apache.sling.thumbnails.extension

## Interface TransformationHandler

All Known Implementing Classes:
  `ColorizeHandler`, `CropHandler`, `FlipHandler`, `GreyscaleHandler`, `ResizeHandler`, `RotateHandler`, `ScaleHandler`, `TransparencyHandler`

    @ConsumerType
    public interface TransformationHandler

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getResourceType()` Get the resource type associated with this handler
`void` `handle​(InputStream inputStream, OutputStream outputStream, TransformationHandlerConfig config)` Handles the transformation of the file using the command values from the suffix segment.

### Method Detail

#### getResourceType

    String getResourceType()

Get the resource type associated with this handler

Returns:
  the handler resource type

#### handle

    void handle​(InputStream inputStream,
                OutputStream outputStream,
                TransformationHandlerConfig config)
         throws IOException

Handles the transformation of the file using the command values from the suffix segment.

Parameters:
  `inputStream` - the inputstream from which to read the file to transform from
  `outputStream` - the outputstream to write the transformed file to
  `config` - the configuration values for the transformation
Throws:
  `IOException` - an exception occurs transforming the file